Bug 1532228 - python-netmiko-2.1.0 is available
Summary: python-netmiko-2.1.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-netmiko
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dmitry Tantsur
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1557414
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-08 12:27 UTC by Upstream Release Monitoring
Modified: 2018-04-07 22:14 UTC (History)
4 users (show)

Fixed In Version: python-netmiko-2.1.0-1.fc29 python-netmiko-2.1.0-1.fc28
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-07 22:14:38 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 2.0.1 (#1532228) (982 bytes, patch)
2018-01-08 12:27 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2018-01-08 12:27:24 UTC
Latest upstream release: 2.0.1
Current version/release in rawhide: 1.4.2-2.fc27
URL: https://pypi.python.org/pypi/netmiko

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/14478/

Comment 1 Upstream Release Monitoring 2018-01-08 12:27:29 UTC
Created attachment 1378511 [details]
[patch] Update to 2.0.1 (#1532228)

Comment 2 Upstream Release Monitoring 2018-01-08 12:29:08 UTC
hotness's scratch build of python-netmiko-2.0.1-1.el7.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=24073376

Comment 3 Upstream Release Monitoring 2018-02-10 00:25:13 UTC
Latest upstream release: 2.0.2
Current version/release in rawhide: 1.4.3-1.fc28
URL: https://pypi.python.org/pypi/netmiko

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/14478/

Comment 4 Alfredo Moralejo 2018-03-02 14:15:42 UTC
Could we get 2.0.2 in fedora rawhide?, it's the version used in OpenStack to test upstream.

Comment 5 Upstream Release Monitoring 2018-03-08 00:25:16 UTC
Latest upstream release: 2.1.0
Current version/release in rawhide: 1.4.3-2.fc28
URL: https://pypi.python.org/pypi/netmiko

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/14478/

Comment 6 Alan Pevec 2018-03-16 22:04:42 UTC
This is blocking python-networking-generic-switch in RDO
https://review.rdoproject.org/r/12935

netmiko >= 2.0.1 requires textfsm, it was packaged in bug 1557414

Please update netmiko in Rawhide so we can import it in RDO.

Comment 7 Alan Pevec 2018-03-16 22:32:45 UTC
I've done quick update locally, pushed temporarily to https://github.com/rdo-common/python-netmiko/commit/4776cce2d2f6bd1cce2028a2dc9a18e1cb233523

PR coming to https://src.fedoraproject.org/rpms/python-netmiko as soon as Pagure settles ACLs on my fork there

Comment 8 Alan Pevec 2018-03-19 10:17:14 UTC
- Update to 2.1.0 (rhbz#1532228)
https://src.fedoraproject.org/rpms/python-netmiko/pull-request/1

Comment 9 Dmitry Tantsur 2018-03-19 10:37:59 UTC
PR merged, thanks!

Comment 10 Fedora Update System 2018-04-03 09:43:12 UTC
python-netmiko-2.1.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a7848fe80c

Comment 11 Fedora Update System 2018-04-03 15:59:14 UTC
python-netmiko-2.1.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a7848fe80c

Comment 12 Fedora Update System 2018-04-07 22:14:38 UTC
python-netmiko-2.1.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.